/*
 * @(#)SimpleServlet.java	1.00 99/03/15
 * 
 * Copyright (c) 1999 International Business Machines. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of IBM.
 * You shall not disclose such Confidential Information and shall use it
 * only in accordance with the terms of the license agreement you entered
 * into with IBM.
 * 
 * IBM MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. IBM SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 * CopyrightVersion 1.0
 *
 *
 */
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

/**
 * This servlet demostrates a simple sub-class of HttpServlet.
 * It responses to both an HTTP GET and POST Method request and
 * returns a simple message. */
public class SimpleServlet extends HttpServlet
{ 
    /**
     * Handle the GET Method
     */
    public void doGet (HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException
    {
	PrintWriter output;
	String	title = "A Simple Servlet Output";

	// set the content type
        resp.setContentType("text/html");

	// write the output
	output = resp.getWriter();

        output.println("<HTML><HEAD><TITLE>");
	output.println(title);
	output.println("</TITLE></HEAD><BODY>");
	output.println("<H1>" + title + "</H1>");
	output.println("<P>This is output from a Simple Servlet.");
	output.println("</BODY></HTML>");
	output.close();
    }

    //Handle the POST method. To handle POST, we will simple pass the request to the GET method
    public void doPost (HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException
    {
        doGet(req,resp);
    }
}
